/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the TwitterOrganicControllerActionProfileRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &TwitterOrganicControllerActionProfileRequest{}

// TwitterOrganicControllerActionProfileRequest struct for TwitterOrganicControllerActionProfileRequest
type TwitterOrganicControllerActionProfileRequest struct {
	OAuthId *string `json:"oAuthId,omitempty"`
}

// NewTwitterOrganicControllerActionProfileRequest instantiates a new TwitterOrganicControllerActionProfileRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewTwitterOrganicControllerActionProfileRequest() *TwitterOrganicControllerActionProfileRequest {
	this := TwitterOrganicControllerActionProfileRequest{}
	return &this
}

// NewTwitterOrganicControllerActionProfileRequestWithDefaults instantiates a new TwitterOrganicControllerActionProfileRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewTwitterOrganicControllerActionProfileRequestWithDefaults() *TwitterOrganicControllerActionProfileRequest {
	this := TwitterOrganicControllerActionProfileRequest{}
	return &this
}

// GetOAuthId returns the OAuthId field value if set, zero value otherwise.
func (o *TwitterOrganicControllerActionProfileRequest) GetOAuthId() string {
	if o == nil || IsNil(o.OAuthId) {
		var ret string
		return ret
	}
	return *o.OAuthId
}

// GetOAuthIdOk returns a tuple with the OAuthId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *TwitterOrganicControllerActionProfileRequest) GetOAuthIdOk() (*string, bool) {
	if o == nil || IsNil(o.OAuthId) {
		return nil, false
	}
	return o.OAuthId, true
}

// HasOAuthId returns a boolean if a field has been set.
func (o *TwitterOrganicControllerActionProfileRequest) HasOAuthId() bool {
	if o != nil && !IsNil(o.OAuthId) {
		return true
	}

	return false
}

// SetOAuthId gets a reference to the given string and assigns it to the OAuthId field.
func (o *TwitterOrganicControllerActionProfileRequest) SetOAuthId(v string) {
	o.OAuthId = &v
}

func (o TwitterOrganicControllerActionProfileRequest) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o TwitterOrganicControllerActionProfileRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.OAuthId) {
		toSerialize["oAuthId"] = o.OAuthId
	}
	return toSerialize, nil
}

type NullableTwitterOrganicControllerActionProfileRequest struct {
	value *TwitterOrganicControllerActionProfileRequest
	isSet bool
}

func (v NullableTwitterOrganicControllerActionProfileRequest) Get() *TwitterOrganicControllerActionProfileRequest {
	return v.value
}

func (v *NullableTwitterOrganicControllerActionProfileRequest) Set(val *TwitterOrganicControllerActionProfileRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableTwitterOrganicControllerActionProfileRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableTwitterOrganicControllerActionProfileRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableTwitterOrganicControllerActionProfileRequest(val *TwitterOrganicControllerActionProfileRequest) *NullableTwitterOrganicControllerActionProfileRequest {
	return &NullableTwitterOrganicControllerActionProfileRequest{value: val, isSet: true}
}

func (v NullableTwitterOrganicControllerActionProfileRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableTwitterOrganicControllerActionProfileRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
